#ifndef COMMON_HPP
#define COMMON_HPP

#include "csapp.h"
#include <iostream>

typedef struct {
  unsigned char type;
  short length;
  char contents[MAXLINE];
} message_t;

void send_message(char type, const char *contents, short length, int fd);

bool read_message(rio_t *rio, message_t *message);

#endif
