#include "common.hpp"

void send_message(char type, const char *contents, short length, int fd) {
    char buf[MAXLINE];

    buf[0] = type;
    (*(short *)(&(buf[1]))) = length;
    memcpy(buf+3, contents, length);

    Rio_writen(fd, buf, length + 3);
}

bool read_message(rio_t *rio, message_t *message) {
    if(Rio_readnb(rio, &(message->type), 1) <= 0)
        return false;
    if(Rio_readnb(rio, &(message->length), 2) <= 0)
        return false;
    if(message->length != 0 && Rio_readnb(rio, message->contents, message->length) <= 0)
        return false;

    return true;
}
